Subject: bug#14250: FW: bug#14250: 23.1; Files locked by myself

From: "Elrod, David" <[email-masked]>
Date: Wed, 19 Jun 2013 22:39:17 +0000

My fault for not doing "reply all"...

Typing:
    ^Mx(file-locked-p
when I type the space (' ') after the p, Emacs immediately inserts:
  [No match]
so I see:
  (file-locked-p [No match]

Leaving out the space and typing:
  (file-locked-p(buffer-file-name))
is OK, until I press the Enter key and then Emacs appends:
  (file-locked-p(buffer-file-name)) [No match]

If I put:
  (file-locked-p (buffer-file-name))
by itself in a file, save it, then do
 ^Mxeval-current-buffer

not seems to happen.

David

________________________________________
From: Glenn Morris [[email-masked]]
Sent: Wednesday, June 19, 2013 15:29
To: Elrod, David
Cc: [email-masked]; [email-masked]
Subject: Re: FW: bug#14250: 23.1; Files locked by myself

"Elrod, David" wrote:

> Sorry to see this closed with no resolution....

>From experience, it's a great way to get people to reply.
Reopened.

> I responded to email from Andreas (see copy below) three hours after
> it arrived at our mail server.

Please use reply-to-all on bug reports.

> I then entered:
>     (file-locked-p(overview.html))
> which was the name of the file I was editing, the name of the buffer
> from the status bar, and the name I see when I list buffers, I get:
>
> Debugger entered--Lisp error: (void-function overview\.html)

He said to do:

(file-locked-p (buffer-file-name))

Literally type that.

Nothing about this makes any sense so far I am afraid.